@import url('https://fonts.googleapis.com/css2?family=Ubuntu&display=swap');

*,
*::after,
*::before {
    box-sizing: border-box;
}

.main-page {
    margin: 0 auto;

    position: relative;
    background-image: url("../img/background-image.png");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

.header-wrapper {
    display: flex;
    justify-content: space-between;
    padding-left: 79px;
    padding-right: 79px;
    height: 58px;
    background-color: rgba(0, 0, 0, 0.40);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.logo-wrapper {
    padding-top: 18px;
    padding-bottom: 18px;
}

.logo-wrapper a {
    text-decoration: none;
}

.logo-text {
    font-family: 'Ubuntu', sans-serif;
    font-weight: 700;
    font-size: 22px;
    line-height: 22px;
    color: #FFF;
}

.contacts-wrapper {
    padding-top: 17px;
    display: flex;
    text-align: right;
    gap: 25px;
}

.contacts-wrapper a {
    color: #FFF;
    font-family: 'Ubuntu', sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 14px;
    text-decoration: none;
}

.signing-block {
    margin: 0;
    border-left: 1px solid rgba(255, 255, 255, 0.90);
    padding-left: 25px;
    color: #FFF;
    font-family: 'Ubuntu', sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 14px;
    height: 22px;
    display: flex;
    align-items: center;
    gap: 3px;
}

.logo-wrapper:hover .logo-text,
.calendar-logo:hover path,
.mail-logo:hover path,
.compass-logo:hover path,
.signing-block span:hover,
.log-in:hover {
    color: #01813F;
    fill: #01813F;
    opacity: 0.41;
}

.main-section {
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100vh - 58px);
}

.form-list {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 15px;

    padding-left: 61px;
    padding-right: 61px;
}

.form-item input {
    width: 324px;
    height: 46px;
    padding: 19px 0px 15px 15px;
    border: 1px solid #ccc;
}

.login-form {
    background-color: #fff;
    text-align: center;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    transition: box-shadow 0.3s, transform 0.3s;
}

.form-item input:hover {
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
    transform: scale(1.02);
}

.green-square {
    position: absolute;
    margin-top: 30px;
    width: 18px;
    height: 18px;
    background-color: #3CB878;
}

.form-wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    padding: 31px 60px 38px;

}

.form-header {
    display: flex;
    justify-content: space-between;
    padding: 30px 60px 8px 8px;
}

.form-header a {
    color: #3CB878;
    font-family: 'Ubuntu', sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 14px;
    text-decoration: none;
}

p {
    margin: 0px;
    color: #434343;
    text-align: center;
    font-family: 'Ubuntu', sans-serif;
    font-size: 20px;
    font-weight: 400;
    line-height: 20px;
}

.social-buttons {
    display: flex;
    justify-content: space-between;
    padding: 8px 60px 34px;
    gap: 4px;
}

.fb-button {
    display: flex;
    background-color: #305DB8;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    transition: background-color 0.3s;
    align-items: center;
}

.fb-button:hover {
    background-color: rgba(2, 34, 99, 1)
}

.fb-button a {
    text-decoration: none;
}

.fb-button p {
    padding-left: 18px;
}

.fb-button svg {
    padding-right: 5px;
}

.fb-button svg,
.fb-button p {
    display: inline-block;
    vertical-align: middle;
    color: #FFF;
    font-family: 'Ubuntu', sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 16px;
}

.fb-line {
    position: relative;
    border-left: 1px solid #0A162F;
    opacity: 0.1;

    padding-left: 16px;
    padding-right: 13px;
}

.gplus-button {
    display: flex;
    background-color: rgba(223, 74, 50, 1);
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    transition: background-color 0.3s;
    align-items: center;
}

.gplus-button:hover {
    background-color: rgba(171, 31, 9, 1)
}

.gplus-button a {
    text-decoration: none;
}

.gplus-button p {
    padding-left: 18px;
}

.gplus-button svg,
.gplus-button p {
    display: inline-block;
    color: #FFF;
    vertical-align: middle;
    font-family: 'Ubuntu', sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 16px;
}

.gplus-line {
    position: relative;
    border-left: 1px solid rgba(43, 13, 9, 1);
    opacity: 0.1;

    padding-left: 28px;
    padding-right: 7px;
}

.separator {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0px 60px 12px;
    gap: 5px;
}

.line {
    flex-grow: 1;
    height: 1px;
    background-color: #848484;
    margin: 0 10px;
}

.or {
    color: #848484;
    font-family: 'Ubuntu', sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
}

.checkbox-block {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
    gap: 5px;
    padding-top: 12px;
    padding-right: 8px;
}

.checkbox-block span {
    color: #3CB878;
    text-decoration: none;
    font-family: 'Ubuntu', sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 14px;
}

.checkbox-block a {
    text-decoration: none;
}


#agree_terms {
    display: none;
}


.checkbox-label {
    position: relative;
    padding-left: 30px;
    cursor: pointer;
}

.checkbox-img path {
    display: none;
}

.checkbox-label::before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
    border: 1px solid #ccc;
    background: rgba(0, 0, 0, 0.00);
}


.checkbox-label::after {
    content: "\2713";
    position: absolute;
    left: 5px;
    top: 50%;
    transform: translateY(-50%);
    width: 10px;
    height: 10px;
    display: none;
    color: #3CB878;
}

input[type="checkbox"]:checked+.checkbox-label::before {
    display: block;
    content: "\2713";
    font-size: 14px;
    color: #3CB878;
    text-align: center;
    line-height: 20px;
}

.submit-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px auto 38px;
}

.createacc-btn {
    width: 324px;

    display: inline-block;
    padding: 10px 20px;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s;

    display: flex;
    justify-content: center;
    background-color: rgba(60, 184, 120, 0.80);
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
}


.createacc-btn:hover {
    background-color: #01813F;
}